# Stacks on Deck gem specification
# N.B. Will be reified as a gem_package
default['sod']['gem'] = {
  'name' => 'stacksondeck'
}

# Group for Stacks on Deck directories, files, and services
# N.B. Will be reified as a group
default['sod']['group'] = {
  'name' => 'sod',
  'system' => true
}

# Group for Stacks on Deck directories, files, and services
# N.B. Will be reified as a user
default['sod']['user'] = {
  'name' => 'sod',
  'gid' => 'sod',
  'shell' => '/bin/false',
  'system' => true
}

# Set limit for Stacks on Deck
default['sod']['limits'] = {
  'nofile' => '1024 1024'
}

# Pass options to Stacks on Deck
default['sod']['opts']['port'] = 3000
default['sod']['opts']['bind'] = '0.0.0.0'
default['sod']['opts']['environment'] = 'production'
default['sod']['opts']['config'] = '/etc/chef/client.rb'
default['sod']['opts']['database'] = '/etc/sod.db'
default['sod']['opts']['username'] = '${job.username}'
default['sod']['opts']['refresh'] = 900
default['sod']['opts']['debug'] = false
default['sod']['opts']['trace'] = false
default['sod']['opts']['log'] = '/var/log/sod.log'